<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_postpad.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_postpad" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_postpad</refname>
    <refpurpose>append the scalar</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = nan_postpad (x, l,c)
   y = nan_postpad (x, l,c,dim)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
append the scalar value c to the vector x
until it is of length l.  If the third argument is not
supplied, a value of 0 is used.
   </para>
   <para>
If length (x &gt; l), elements from the end of
x are removed until a vector of length l is obtained.
   </para>
   <para>
If x is a matrix, elements are prepended or removed from each row.
   </para>
   <para>
If the optional dim argument is given, then operate along this dimension.
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_prepad">nan_prepad</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>John W. Eaton</member>
   <member>Tony Richardson arichard@stark.cc.oh.us</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
